QwtSimpleCompassRose(3)

NAME
QwtSimpleCompassRose -

A simple rose for QwtCompass.

SYNOPSIS

#include <qwt_compass_rose.h>

Inherits QwtCompassRose.

  Public Member Functions
virtual void draw (QPainter *, const QPoint &center, int radius, double north, QPalette::ColorGroup=QPalette::Active) const
int numThornLevels () const
int numThorns () const
const QPalette & palette () const
QwtSimpleCompassRose (int numThorns=8, int numThornLevels=-1)
void setNumThornLevels (int count)
void setNumThorns (int count)
virtual void setPalette (const QPalette &p)
void setShrinkFactor (double factor)
void setWidth (double w)
double shrinkFactor () const
double width () const

  Static Public Member Functions
static void drawRose (QPainter *, const QPalette &, const QPoint &center, int radius, double origin, double width, int numThorns, int numThornLevels, double shrinkFactor)

Detailed Description

A simple rose for QwtCompass.

Constructor & Destructor Documentation

  QwtSimpleCompassRose::QwtSimpleCompassRose (intnumThorns = 8, intnumThornLevels = -1) Constructor

Parameters:
    numThorns Number of thorns
    numThornLevels Number of thorn levels

Member Function Documentation

  void QwtSimpleCompassRose::draw (QPainter *painter, const QPoint &center, intradius, doublenorth, QPalette::ColorGroupcg = QPalette::Active) const [virtual] Draw the rose

Parameters:
    painter Painter
    center Center point
    radius Radius of the rose
    north Position
    cg Color group

Implements QwtCompassRose.

  void QwtSimpleCompassRose::drawRose (QPainter *painter, const QPalette &palette, const QPoint &center, intradius, doublenorth, doublewidth, intnumThorns, intnumThornLevels, doubleshrinkFactor) [static] Draw the rose

Parameters:
    painter Painter
    palette Palette
    center Center of the rose
    radius Radius of the rose
    north Position pointing to north
    width Width of the rose
    numThorns Number of thorns
    numThornLevels Number of thorn levels
    shrinkFactor Factor to shrink the thorns with each level

  int QwtSimpleCompassRose::numThornLevels () const Returns:
    Number of thorn levels

See also:
    setNumThorns(), setNumThornLevels()

  int QwtSimpleCompassRose::numThorns () const Returns:
    Number of thorns

See also:
    setNumThorns(), setNumThornLevels()

  const QPalette& QwtCompassRose::palette () const [inline, inherited] Returns:
    Current palette

  void QwtSimpleCompassRose::setNumThornLevels (intnumThornLevels) Set the of thorns levels

Parameters:
    numThornLevels Number of thorns levels

See also:
    setNumThorns(), numThornLevels()

  void QwtSimpleCompassRose::setNumThorns (intnumThorns) Set the number of thorns on one level The number is aligned to a multiple of 4, with a minimum of 4

Parameters:
    numThorns Number of thorns

See also:
    numThorns(), setNumThornLevels()

  virtual void QwtCompassRose::setPalette (const QPalette &p) [inline, virtual, inherited]

Assign a palette.

  void QwtSimpleCompassRose::setWidth (doublewidth) Set the width of the rose heads. Lower value make thinner heads. The range is limited from 0.03 to 0.4.

Parameters:
    width Width

  double QwtSimpleCompassRose::width () const [inline] See also:
    setWidth()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.